Index: /palm/trunk/SOURCE/init_grid.f90
===================================================================
--- /palm/trunk/SOURCE/init_grid.f90	(revision 4328)
+++ /palm/trunk/SOURCE/init_grid.f90	(revision 4329)
@@ -25,4 +25,7 @@
 ! -----------------
 ! $Id$
+! Renamed wall_flags_0 to wall_flags_static_0
+! 
+! 4328 2019-12-09 18:53:04Z suehring
 ! Minor change in nzb_max computation. Commentation added.
 ! 
@@ -673,5 +676,5 @@
 !
 !--    Determine local topography height on scalar and w-grid. Note, setting
-!--    lateral boundary values is not necessary, realized via wall_flags_0 
+!--    lateral boundary values is not necessary, realized via wall_flags_static_0 
 !--    array. Further, please note that loop bounds are different from 
 !--    nxl to nxr and nys to nyn on south and right model boundary, hence, 
@@ -2318,5 +2321,5 @@
     USE indices,                                                               &
         ONLY:  nbgp, nx, nxl, nxlg, nxr, nxrg, ny, nyn, nyng, nys, nysg, nzb,  &
-               nzt, topo_top_ind, wall_flags_0
+               nzt, topo_top_ind, wall_flags_static_0
 
     USE kinds
@@ -2331,6 +2334,6 @@
     INTEGER(iwp), DIMENSION(nzb:nzt+1,nysg:nyng,nxlg:nxrg) ::  topo !< input array for 3D topography and dummy array for setting "outer"-flags
 
-    ALLOCATE( wall_flags_0(nzb:nzt+1,nysg:nyng,nxlg:nxrg) )
-    wall_flags_0 = 0
+    ALLOCATE( wall_flags_static_0(nzb:nzt+1,nysg:nyng,nxlg:nxrg) )
+    wall_flags_static_0 = 0
 !
 !-- Set-up topography flags. First, set flags only for s, u, v and w-grid.
@@ -2342,15 +2345,15 @@
 !--          scalar grid
              IF ( BTEST( topo(k,j,i), 0 ) )                                 &
-                wall_flags_0(k,j,i) = IBSET( wall_flags_0(k,j,i), 0 )
+                wall_flags_static_0(k,j,i) = IBSET( wall_flags_static_0(k,j,i), 0 )
 !
 !--          u grid
              IF ( BTEST( topo(k,j,i),   0 )  .AND.                          &
                   BTEST( topo(k,j,i-1), 0 ) )                               &
-                wall_flags_0(k,j,i) = IBSET( wall_flags_0(k,j,i), 1 )
+                wall_flags_static_0(k,j,i) = IBSET( wall_flags_static_0(k,j,i), 1 )
 !
 !--          v grid
              IF ( BTEST( topo(k,j,i),   0 )  .AND.                          &
                   BTEST( topo(k,j-1,i), 0 ) )                               &
-                 wall_flags_0(k,j,i) = IBSET( wall_flags_0(k,j,i), 2 )
+                 wall_flags_static_0(k,j,i) = IBSET( wall_flags_static_0(k,j,i), 2 )
 
           ENDDO
@@ -2361,12 +2364,12 @@
              IF ( BTEST( topo(k,j,i),   0 )  .AND.                          &
                   BTEST( topo(k+1,j,i), 0 ) )                               &
-                wall_flags_0(k,j,i) = IBSET( wall_flags_0(k,j,i), 3 )
-          ENDDO
-          wall_flags_0(nzt+1,j,i) = IBSET( wall_flags_0(nzt+1,j,i), 3 )
+                wall_flags_static_0(k,j,i) = IBSET( wall_flags_static_0(k,j,i), 3 )
+          ENDDO
+          wall_flags_static_0(nzt+1,j,i) = IBSET( wall_flags_static_0(nzt+1,j,i), 3 )
 
        ENDDO
     ENDDO
 
-    CALL exchange_horiz_int( wall_flags_0, nys, nyn, nxl, nxr, nzt, nbgp )
+    CALL exchange_horiz_int( wall_flags_static_0, nys, nyn, nxl, nxr, nzt, nbgp )
 !
 !-- Set outer array for scalars to mask near-surface grid points. Note, on 
@@ -2376,13 +2379,13 @@
        DO j = nys, nyn
           DO k = nzb, nzt+1
-             IF ( BTEST( wall_flags_0(k,j-1,i), 0 )    .AND.                   &
-                  BTEST( wall_flags_0(k,j+1,i), 0 )    .AND.                   &
-                  BTEST( wall_flags_0(k,j,i-1), 0 )    .AND.                   &
-                  BTEST( wall_flags_0(k,j,i+1), 0 )    .AND.                   &
-                  BTEST( wall_flags_0(k,j-1,i-1), 0 )  .AND.                   &
-                  BTEST( wall_flags_0(k,j+1,i-1), 0 )  .AND.                   &
-                  BTEST( wall_flags_0(k,j-1,i+1), 0 )  .AND.                   &
-                  BTEST( wall_flags_0(k,j+1,i+1), 0 ) )                        &
-                wall_flags_0(k,j,i) = IBSET( wall_flags_0(k,j,i), 24 )
+             IF ( BTEST( wall_flags_static_0(k,j-1,i), 0 )    .AND.                   &
+                  BTEST( wall_flags_static_0(k,j+1,i), 0 )    .AND.                   &
+                  BTEST( wall_flags_static_0(k,j,i-1), 0 )    .AND.                   &
+                  BTEST( wall_flags_static_0(k,j,i+1), 0 )    .AND.                   &
+                  BTEST( wall_flags_static_0(k,j-1,i-1), 0 )  .AND.                   &
+                  BTEST( wall_flags_static_0(k,j+1,i-1), 0 )  .AND.                   &
+                  BTEST( wall_flags_static_0(k,j-1,i+1), 0 )  .AND.                   &
+                  BTEST( wall_flags_static_0(k,j+1,i+1), 0 ) )                        &
+                wall_flags_static_0(k,j,i) = IBSET( wall_flags_static_0(k,j,i), 24 )
           ENDDO
        ENDDO
@@ -2408,8 +2411,8 @@
 !--          effect on the flow is negligible. 
              IF ( constant_flux_layer  .OR.  use_surface_fluxes )  THEN
-                IF ( BTEST( wall_flags_0(k,j,i), 0 ) )                         &
-                   wall_flags_0(k,j,i) = IBSET( wall_flags_0(k,j,i), 8 )
+                IF ( BTEST( wall_flags_static_0(k,j,i), 0 ) )                         &
+                   wall_flags_static_0(k,j,i) = IBSET( wall_flags_static_0(k,j,i), 8 )
              ELSE
-                wall_flags_0(k,j,i) = IBSET( wall_flags_0(k,j,i), 8 )
+                wall_flags_static_0(k,j,i) = IBSET( wall_flags_static_0(k,j,i), 8 )
              ENDIF
 
@@ -2418,7 +2421,7 @@
 !--       Special flag to control vertical diffusion at model top - former 
 !--       nzt_diff
-          wall_flags_0(:,j,i) = IBSET( wall_flags_0(:,j,i), 9 )
+          wall_flags_static_0(:,j,i) = IBSET( wall_flags_static_0(:,j,i), 9 )
           IF ( use_top_fluxes )                                                &
-             wall_flags_0(nzt+1,j,i) = IBCLR( wall_flags_0(nzt+1,j,i), 9 )
+             wall_flags_static_0(nzt+1,j,i) = IBCLR( wall_flags_static_0(nzt+1,j,i), 9 )
 
 
@@ -2429,8 +2432,8 @@
 !--          topography, as well as initialize u with zero one grid point outside
 !--          of topography.
-             IF ( BTEST( wall_flags_0(k-1,j,i), 1 )  .AND.                     &
-                  BTEST( wall_flags_0(k,j,i),   1 )  .AND.                     &
-                  BTEST( wall_flags_0(k+1,j,i), 1 ) )                          &
-                wall_flags_0(k,j,i) = IBSET( wall_flags_0(k,j,i), 20 )
+             IF ( BTEST( wall_flags_static_0(k-1,j,i), 1 )  .AND.                     &
+                  BTEST( wall_flags_static_0(k,j,i),   1 )  .AND.                     &
+                  BTEST( wall_flags_static_0(k+1,j,i), 1 ) )                          &
+                wall_flags_static_0(k,j,i) = IBSET( wall_flags_static_0(k,j,i), 20 )
 !
 !--          Special flag on v grid, former nzb_v_inner + 1, required   
@@ -2438,26 +2441,26 @@
 !--          topography, as well as initialize v with zero one grid point outside
 !--          of topography.
-             IF ( BTEST( wall_flags_0(k-1,j,i), 2 )  .AND.                     &
-                  BTEST( wall_flags_0(k,j,i),   2 )  .AND.                     &
-                  BTEST( wall_flags_0(k+1,j,i), 2 ) )                          &
-                wall_flags_0(k,j,i) = IBSET( wall_flags_0(k,j,i), 21 )
+             IF ( BTEST( wall_flags_static_0(k-1,j,i), 2 )  .AND.                     &
+                  BTEST( wall_flags_static_0(k,j,i),   2 )  .AND.                     &
+                  BTEST( wall_flags_static_0(k+1,j,i), 2 ) )                          &
+                wall_flags_static_0(k,j,i) = IBSET( wall_flags_static_0(k,j,i), 21 )
 !
 !--          Special flag on scalar grid, former nzb_s_inner+1. Used for 
 !--          lpm_sgs_tke
-             IF ( BTEST( wall_flags_0(k,j,i),   0 )  .AND.                     &
-                  BTEST( wall_flags_0(k-1,j,i), 0 )  .AND.                     &
-                  BTEST( wall_flags_0(k+1,j,i), 0 ) )                          &
-                wall_flags_0(k,j,i) = IBSET( wall_flags_0(k,j,i), 25 )
+             IF ( BTEST( wall_flags_static_0(k,j,i),   0 )  .AND.                     &
+                  BTEST( wall_flags_static_0(k-1,j,i), 0 )  .AND.                     &
+                  BTEST( wall_flags_static_0(k+1,j,i), 0 ) )                          &
+                wall_flags_static_0(k,j,i) = IBSET( wall_flags_static_0(k,j,i), 25 )
 !
 !--          Special flag on scalar grid, nzb_diff_s_outer - 1, required in 
 !--          in production_e
              IF ( constant_flux_layer  .OR.  use_surface_fluxes )  THEN
-                IF ( BTEST( wall_flags_0(k,j,i),   24 )  .AND.                 &
-                     BTEST( wall_flags_0(k-1,j,i), 24 )  .AND.                 &
-                     BTEST( wall_flags_0(k+1,j,i), 0 ) )                       &
-                   wall_flags_0(k,j,i) = IBSET( wall_flags_0(k,j,i), 29 )
+                IF ( BTEST( wall_flags_static_0(k,j,i),   24 )  .AND.                 &
+                     BTEST( wall_flags_static_0(k-1,j,i), 24 )  .AND.                 &
+                     BTEST( wall_flags_static_0(k+1,j,i), 0 ) )                       &
+                   wall_flags_static_0(k,j,i) = IBSET( wall_flags_static_0(k,j,i), 29 )
              ELSE
-                IF ( BTEST( wall_flags_0(k,j,i), 0 ) )                         &
-                   wall_flags_0(k,j,i) = IBSET( wall_flags_0(k,j,i), 29 )
+                IF ( BTEST( wall_flags_static_0(k,j,i), 0 ) )                         &
+                   wall_flags_static_0(k,j,i) = IBSET( wall_flags_static_0(k,j,i), 29 )
              ENDIF
 !
@@ -2465,11 +2468,11 @@
 !--          in production_e
              IF ( constant_flux_layer  .OR.  use_surface_fluxes )  THEN
-                IF ( BTEST( wall_flags_0(k,j,i),   0 )  .AND.                  &
-                     BTEST( wall_flags_0(k-1,j,i), 0 )  .AND.                  &
-                     BTEST( wall_flags_0(k+1,j,i), 0 ) )                       &
-                   wall_flags_0(k,j,i) = IBSET( wall_flags_0(k,j,i), 30 )
+                IF ( BTEST( wall_flags_static_0(k,j,i),   0 )  .AND.                  &
+                     BTEST( wall_flags_static_0(k-1,j,i), 0 )  .AND.                  &
+                     BTEST( wall_flags_static_0(k+1,j,i), 0 ) )                       &
+                   wall_flags_static_0(k,j,i) = IBSET( wall_flags_static_0(k,j,i), 30 )
              ELSE
-                IF ( BTEST( wall_flags_0(k,j,i), 0 ) )                         &
-                   wall_flags_0(k,j,i) = IBSET( wall_flags_0(k,j,i), 30 )
+                IF ( BTEST( wall_flags_static_0(k,j,i), 0 ) )                         &
+                   wall_flags_static_0(k,j,i) = IBSET( wall_flags_static_0(k,j,i), 30 )
              ENDIF
           ENDDO
@@ -2479,22 +2482,22 @@
 !
 !--          Scalar grid
-             IF ( BTEST( wall_flags_0(k-1,j,i), 0 )  .AND.                     &
-            .NOT. BTEST( wall_flags_0(k,j,i), 0   ) )                          & 
-                 wall_flags_0(k,j,i) = IBSET( wall_flags_0(k,j,i), 13 ) 
+             IF ( BTEST( wall_flags_static_0(k-1,j,i), 0 )  .AND.                     &
+            .NOT. BTEST( wall_flags_static_0(k,j,i), 0   ) )                          & 
+                 wall_flags_static_0(k,j,i) = IBSET( wall_flags_static_0(k,j,i), 13 ) 
 !
 !--          Downward facing wall on u grid
-             IF ( BTEST( wall_flags_0(k-1,j,i), 1 )  .AND.                     &
-            .NOT. BTEST( wall_flags_0(k,j,i), 1   ) )                          & 
-                wall_flags_0(k,j,i) = IBSET( wall_flags_0(k,j,i), 15 )
+             IF ( BTEST( wall_flags_static_0(k-1,j,i), 1 )  .AND.                     &
+            .NOT. BTEST( wall_flags_static_0(k,j,i), 1   ) )                          & 
+                wall_flags_static_0(k,j,i) = IBSET( wall_flags_static_0(k,j,i), 15 )
 !
 !--          Downward facing wall on v grid
-             IF ( BTEST( wall_flags_0(k-1,j,i), 2 )  .AND.                     &
-            .NOT. BTEST( wall_flags_0(k,j,i), 2   ) )                          & 
-                wall_flags_0(k,j,i) = IBSET( wall_flags_0(k,j,i), 17 )
+             IF ( BTEST( wall_flags_static_0(k-1,j,i), 2 )  .AND.                     &
+            .NOT. BTEST( wall_flags_static_0(k,j,i), 2   ) )                          & 
+                wall_flags_static_0(k,j,i) = IBSET( wall_flags_static_0(k,j,i), 17 )
 !
 !--          Downward facing wall on w grid
-             IF ( BTEST( wall_flags_0(k-1,j,i), 3 )  .AND.                     &
-            .NOT. BTEST( wall_flags_0(k,j,i), 3 ) )                            & 
-                wall_flags_0(k,j,i) = IBSET( wall_flags_0(k,j,i), 19 )
+             IF ( BTEST( wall_flags_static_0(k-1,j,i), 3 )  .AND.                     &
+            .NOT. BTEST( wall_flags_static_0(k,j,i), 3 ) )                            & 
+                wall_flags_static_0(k,j,i) = IBSET( wall_flags_static_0(k,j,i), 19 )
           ENDDO
 !
@@ -2503,46 +2506,46 @@
 !
 !--          Upward facing wall on scalar grid
-             IF ( .NOT. BTEST( wall_flags_0(k,j,i),   0 )  .AND.               &
-                        BTEST( wall_flags_0(k+1,j,i), 0 ) )                    & 
-                wall_flags_0(k,j,i) = IBSET( wall_flags_0(k,j,i), 12 )
+             IF ( .NOT. BTEST( wall_flags_static_0(k,j,i),   0 )  .AND.               &
+                        BTEST( wall_flags_static_0(k+1,j,i), 0 ) )                    & 
+                wall_flags_static_0(k,j,i) = IBSET( wall_flags_static_0(k,j,i), 12 )
 !
 !--          Upward facing wall on u grid
-             IF ( .NOT. BTEST( wall_flags_0(k,j,i),   1 )  .AND.               &
-                        BTEST( wall_flags_0(k+1,j,i), 1 ) )                    & 
-                wall_flags_0(k,j,i) = IBSET( wall_flags_0(k,j,i), 14 )
+             IF ( .NOT. BTEST( wall_flags_static_0(k,j,i),   1 )  .AND.               &
+                        BTEST( wall_flags_static_0(k+1,j,i), 1 ) )                    & 
+                wall_flags_static_0(k,j,i) = IBSET( wall_flags_static_0(k,j,i), 14 )
 
 !   
 !--          Upward facing wall on v grid
-             IF ( .NOT. BTEST( wall_flags_0(k,j,i),   2 )  .AND.               &
-                        BTEST( wall_flags_0(k+1,j,i), 2 ) )                    & 
-                wall_flags_0(k,j,i) = IBSET( wall_flags_0(k,j,i), 16 )
+             IF ( .NOT. BTEST( wall_flags_static_0(k,j,i),   2 )  .AND.               &
+                        BTEST( wall_flags_static_0(k+1,j,i), 2 ) )                    & 
+                wall_flags_static_0(k,j,i) = IBSET( wall_flags_static_0(k,j,i), 16 )
    
 !
 !--          Upward facing wall on w grid
-             IF ( .NOT. BTEST( wall_flags_0(k,j,i),   3 )  .AND.               &
-                        BTEST( wall_flags_0(k+1,j,i), 3 ) )                    & 
-                wall_flags_0(k,j,i) = IBSET( wall_flags_0(k,j,i), 18 )
+             IF ( .NOT. BTEST( wall_flags_static_0(k,j,i),   3 )  .AND.               &
+                        BTEST( wall_flags_static_0(k+1,j,i), 3 ) )                    & 
+                wall_flags_static_0(k,j,i) = IBSET( wall_flags_static_0(k,j,i), 18 )
 !
 !--          Special flag on scalar grid, former nzb_s_inner
-             IF ( BTEST( wall_flags_0(k,j,i), 0 )  .OR.                        &
-                  BTEST( wall_flags_0(k,j,i), 12 ) .OR.                        &
-                  BTEST( wall_flags_0(k,j,i), 13 ) )                           &
-                   wall_flags_0(k,j,i) = IBSET( wall_flags_0(k,j,i), 22 )
+             IF ( BTEST( wall_flags_static_0(k,j,i), 0 )  .OR.                        &
+                  BTEST( wall_flags_static_0(k,j,i), 12 ) .OR.                        &
+                  BTEST( wall_flags_static_0(k,j,i), 13 ) )                           &
+                   wall_flags_static_0(k,j,i) = IBSET( wall_flags_static_0(k,j,i), 22 )
 !
 !--          Special flag on scalar grid, nzb_diff_s_inner - 1, required for 
 !--          flow_statistics
              IF ( constant_flux_layer  .OR.  use_surface_fluxes )  THEN
-                IF ( BTEST( wall_flags_0(k,j,i),   0 )  .AND.                  &
-                     BTEST( wall_flags_0(k+1,j,i), 0 ) )                       &
-                  wall_flags_0(k,j,i) = IBSET( wall_flags_0(k,j,i), 23 )
+                IF ( BTEST( wall_flags_static_0(k,j,i),   0 )  .AND.                  &
+                     BTEST( wall_flags_static_0(k+1,j,i), 0 ) )                       &
+                  wall_flags_static_0(k,j,i) = IBSET( wall_flags_static_0(k,j,i), 23 )
              ELSE
-                IF ( BTEST( wall_flags_0(k,j,i), 22 ) )                        &
-                   wall_flags_0(k,j,i) = IBSET( wall_flags_0(k,j,i), 23 )
+                IF ( BTEST( wall_flags_static_0(k,j,i), 22 ) )                        &
+                   wall_flags_static_0(k,j,i) = IBSET( wall_flags_static_0(k,j,i), 23 )
              ENDIF
    
 
           ENDDO
-          wall_flags_0(nzt+1,j,i) = IBSET( wall_flags_0(nzt+1,j,i), 22 )
-          wall_flags_0(nzt+1,j,i) = IBSET( wall_flags_0(nzt+1,j,i), 23 )
+          wall_flags_static_0(nzt+1,j,i) = IBSET( wall_flags_static_0(nzt+1,j,i), 22 )
+          wall_flags_static_0(nzt+1,j,i) = IBSET( wall_flags_static_0(nzt+1,j,i), 23 )
 !
 !--       Set flags indicating that topography is close by in horizontal 
@@ -2555,19 +2558,19 @@
           IF ( scalar_advec == 'ws-scheme' )  THEN
              DO k = nzb, nzt
-                IF ( BTEST( wall_flags_0(k,j,i), 0 )  .AND. (                   &
-                     ANY( .NOT. BTEST( wall_flags_0(k,j-3:j+3,i-1), 0 ) )  .OR.&
-                     ANY( .NOT. BTEST( wall_flags_0(k,j-3:j+3,i-2), 0 ) )  .OR.&
-                     ANY( .NOT. BTEST( wall_flags_0(k,j-3:j+3,i-3), 0 ) )  .OR.&
-                     ANY( .NOT. BTEST( wall_flags_0(k,j-3:j+3,i+1), 0 ) )  .OR.&
-                     ANY( .NOT. BTEST( wall_flags_0(k,j-3:j+3,i+2), 0 ) )  .OR.&
-                     ANY( .NOT. BTEST( wall_flags_0(k,j-3:j+3,i+3), 0 ) )  .OR.&
-                     ANY( .NOT. BTEST( wall_flags_0(k,j-1,i-3:i+3), 0 ) )  .OR.&
-                     ANY( .NOT. BTEST( wall_flags_0(k,j-2,i-3:i+3), 0 ) )  .OR.&
-                     ANY( .NOT. BTEST( wall_flags_0(k,j-3,i-3:i+3), 0 ) )  .OR.&
-                     ANY( .NOT. BTEST( wall_flags_0(k,j+1,i-3:i+3), 0 ) )  .OR.&
-                     ANY( .NOT. BTEST( wall_flags_0(k,j+2,i-3:i+3), 0 ) )  .OR.&
-                     ANY( .NOT. BTEST( wall_flags_0(k,j+3,i-3:i+3), 0 ) )      &
+                IF ( BTEST( wall_flags_static_0(k,j,i), 0 )  .AND. (                   &
+                     ANY( .NOT. BTEST( wall_flags_static_0(k,j-3:j+3,i-1), 0 ) )  .OR.&
+                     ANY( .NOT. BTEST( wall_flags_static_0(k,j-3:j+3,i-2), 0 ) )  .OR.&
+                     ANY( .NOT. BTEST( wall_flags_static_0(k,j-3:j+3,i-3), 0 ) )  .OR.&
+                     ANY( .NOT. BTEST( wall_flags_static_0(k,j-3:j+3,i+1), 0 ) )  .OR.&
+                     ANY( .NOT. BTEST( wall_flags_static_0(k,j-3:j+3,i+2), 0 ) )  .OR.&
+                     ANY( .NOT. BTEST( wall_flags_static_0(k,j-3:j+3,i+3), 0 ) )  .OR.&
+                     ANY( .NOT. BTEST( wall_flags_static_0(k,j-1,i-3:i+3), 0 ) )  .OR.&
+                     ANY( .NOT. BTEST( wall_flags_static_0(k,j-2,i-3:i+3), 0 ) )  .OR.&
+                     ANY( .NOT. BTEST( wall_flags_static_0(k,j-3,i-3:i+3), 0 ) )  .OR.&
+                     ANY( .NOT. BTEST( wall_flags_static_0(k,j+1,i-3:i+3), 0 ) )  .OR.&
+                     ANY( .NOT. BTEST( wall_flags_static_0(k,j+2,i-3:i+3), 0 ) )  .OR.&
+                     ANY( .NOT. BTEST( wall_flags_static_0(k,j+3,i-3:i+3), 0 ) )      &
                                                             ) )                &
-                   wall_flags_0(k,j,i) = IBSET( wall_flags_0(k,j,i), 31 )
+                   wall_flags_static_0(k,j,i) = IBSET( wall_flags_static_0(k,j,i), 31 )
                      
              ENDDO
@@ -2585,5 +2588,5 @@
 !-- If no topography is initialized, the land-surface is at k = nzb.
     IF ( TRIM( topography ) /= 'read_from_file' )  THEN
-       wall_flags_0(nzb,:,:) = IBSET( wall_flags_0(nzb,:,:), 5 )
+       wall_flags_static_0(nzb,:,:) = IBSET( wall_flags_static_0(nzb,:,:), 5 )
     ELSE
        DO i = nxl, nxr
@@ -2593,5 +2596,5 @@
 !--             Natural terrain grid point
                 IF ( BTEST( topo(k,j,i), 1 ) )                                 &
-                   wall_flags_0(k,j,i) = IBSET( wall_flags_0(k,j,i), 5 )
+                   wall_flags_static_0(k,j,i) = IBSET( wall_flags_static_0(k,j,i), 5 )
              ENDDO
           ENDDO
@@ -2604,5 +2607,5 @@
           DO k = nzb, nzt+1
              IF ( BTEST( topo(k,j,i), 2 ) )                                    &
-                wall_flags_0(k,j,i) = IBSET( wall_flags_0(k,j,i), 6 )
+                wall_flags_static_0(k,j,i) = IBSET( wall_flags_static_0(k,j,i), 6 )
           ENDDO
        ENDDO
@@ -2614,5 +2617,5 @@
           DO k = nzb, nzt+1
              IF ( BTEST( topo(k,j,i), 4 ) )                                    &
-                wall_flags_0(k,j,i) = IBSET( wall_flags_0(k,j,i), 4 )
+                wall_flags_static_0(k,j,i) = IBSET( wall_flags_static_0(k,j,i), 4 )
           ENDDO
        ENDDO
@@ -2620,5 +2623,5 @@
 !
 !-- Exchange ghost points for wall flags
-    CALL exchange_horiz_int( wall_flags_0, nys, nyn, nxl, nxr, nzt, nbgp )
+    CALL exchange_horiz_int( wall_flags_static_0, nys, nyn, nxl, nxr, nzt, nbgp )
 !
 !-- Set boundary conditions also for flags. Can be interpreted as Neumann
@@ -2627,10 +2630,10 @@
        IF ( nys == 0  )  THEN
           DO  i = 1, nbgp     
-             wall_flags_0(:,nys-i,:)   = wall_flags_0(:,nys,:)
+             wall_flags_static_0(:,nys-i,:)   = wall_flags_static_0(:,nys,:)
           ENDDO
        ENDIF
        IF ( nyn == ny )  THEN
           DO  i = 1, nbgp  
-             wall_flags_0(:,nyn+i,:) = wall_flags_0(:,nyn,:)
+             wall_flags_static_0(:,nyn+i,:) = wall_flags_static_0(:,nyn,:)
           ENDDO
        ENDIF
@@ -2639,10 +2642,10 @@
        IF ( nxl == 0  )  THEN
           DO  i = 1, nbgp   
-             wall_flags_0(:,:,nxl-i)   = wall_flags_0(:,:,nxl)
+             wall_flags_static_0(:,:,nxl-i)   = wall_flags_static_0(:,:,nxl)
           ENDDO
        ENDIF
        IF ( nxr == nx )  THEN 
           DO  i = 1, nbgp   
-             wall_flags_0(:,:,nxr+i) = wall_flags_0(:,:,nxr)     
+             wall_flags_static_0(:,:,nxr+i) = wall_flags_static_0(:,:,nxr)     
           ENDDO
        ENDIF      
@@ -2657,5 +2660,5 @@
     topo_top_ind(:,:,0) = MAXLOC(                                              &
                                   MERGE( 1, 0,                                 &
-                                          BTEST( wall_flags_0(:,:,:), ibit )   &
+                                          BTEST( wall_flags_static_0(:,:,:), ibit )   &
                                        ), DIM = 1                              &
                                 ) - 1 
@@ -2665,5 +2668,5 @@
     topo_top_ind(:,:,1) = MAXLOC(                                              &
                                   MERGE( 1, 0,                                 &
-                                          BTEST( wall_flags_0(:,:,:), ibit )   &
+                                          BTEST( wall_flags_static_0(:,:,:), ibit )   &
                                        ), DIM = 1                              &
                                 ) - 1 
@@ -2673,5 +2676,5 @@
     topo_top_ind(:,:,2) = MAXLOC(                                              &
                                   MERGE( 1, 0,                                 &
-                                          BTEST( wall_flags_0(:,:,:), ibit )   &
+                                          BTEST( wall_flags_static_0(:,:,:), ibit )   &
                                        ), DIM = 1                              &
                                 ) - 1 
@@ -2681,5 +2684,5 @@
     topo_top_ind(:,:,3) = MAXLOC(                                              &
                                   MERGE( 1, 0,                                 &
-                                          BTEST( wall_flags_0(:,:,:), ibit )   &
+                                          BTEST( wall_flags_static_0(:,:,:), ibit )   &
                                        ), DIM = 1                              &
                                 ) - 1 
@@ -2689,5 +2692,5 @@
     topo_top_ind(:,:,4) = MAXLOC(                                              &
                                   MERGE( 1, 0,                                 &
-                                          BTEST( wall_flags_0(:,:,:), ibit )   &
+                                          BTEST( wall_flags_static_0(:,:,:), ibit )   &
                                        ), DIM = 1                              &
                                 ) - 1                            
Index: /palm/trunk/SOURCE/init_pt_anomaly.f90
===================================================================
--- /palm/trunk/SOURCE/init_pt_anomaly.f90	(revision 4328)
+++ /palm/trunk/SOURCE/init_pt_anomaly.f90	(revision 4329)
@@ -25,4 +25,7 @@
 ! -----------------
 ! $Id$
+! Renamed wall_flags_0 to wall_flags_static_0
+! 
+! 4182 2019-08-22 15:20:23Z scharf
 ! Corrected "Former revisions" section
 ! 
@@ -50,5 +53,5 @@
 
     USE indices,                                                               &
-        ONLY:  nbgp, nx, nxl, nxr, ny, nyn, nys, nzb, nzt, wall_flags_0
+        ONLY:  nbgp, nx, nxl, nxr, ny, nyn, nys, nzb, nzt, wall_flags_static_0
 
     USE kinds
@@ -93,5 +96,5 @@
 !
 !--             Predetermine flag to mask topography
-                flag = MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_0(k,j,i), 0 ) )
+                flag = MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_static_0(k,j,i), 0 ) )
 
                 x = ( i - ic ) * dx
@@ -126,5 +129,5 @@
 !
 !--             Predetermine flag to mask topography
-                flag = MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_0(k,j,i), 0 ) )
+                flag = MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_static_0(k,j,i), 0 ) )
 
                 pt(k,j,i) = pt(k,j,i) +                                        &
